org.eclipse.wst.jsdt.core

## Interface ITypeHierarchyChangedListener

    public interface ITypeHierarchyChangedListener

A listener which gets notified when a particular type hierarchy object changes.

This interface may be implemented by clients.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `typeHierarchyChanged(ITypeHierarchy typeHierarchy)` Notifies that the given type hierarchy has changed in some way and should be refreshed at some point to make it consistent with the current state of the JavaScript model.

### Method Detail

#### typeHierarchyChanged

    void typeHierarchyChanged(ITypeHierarchy typeHierarchy)

Notifies that the given type hierarchy has changed in some way and should be refreshed at some point to make it consistent with the current state of the JavaScript model.

Parameters:
  `typeHierarchy` - the given type hierarchy